# Contributing to Box Backup

We encourage contributions, especially completed ones (pull requests and patches). However please be aware of some restrictions:

* This is backup software, it needs to be simple and reliable.
* Almost all of the code is in C++ for performance.
* The code is portable (cross-platform) and must remain so.
* We have limited capacity to review contributions or respond to emails, so it may take a while.
* We prefer not to add complexity where possible, especially if it can be done in a separate process via an interface.
* All contributions must be dual-licensed BSD and GPL (can be used under either license).
* Please follow the [coding style](https://www.boxbackup.org/wiki/CodingStyle).
* Please use Github pull requests where possible.

More information is available on our [Developers Documentation](https://www.boxbackup.org/wiki/DevelopersDocs) page.
